LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > MEPIS
User Name
Password
MEPIS This forum is for the discussion of MEPIS Linux.

Notices

Reply
 
Search this Thread
Old 03-16-2010, 10:51 AM   #1
Lee733
LQ Newbie
 
Registered: Mar 2010
Location: West Chicago, IL
Distribution: Kubuntu & Mepis
Posts: 1

Rep: Reputation: 0
gPodder 0.12.1 bug in Mepis 8 & 8.5 RC and possible solution


I was hoping to submit a bug report for Mepis 8.5 RC2 but Mepis forums appear to be down so I'm posting here.

The gPodder which downloads from the repositories (0.12.10) is outdated by a few years. It has a bug which causes it to name files and folders in MD5 hash. A solution to the problem would be to add a couple specific stable debian testing packages to the repository to allow for the newer version of gPodder 2.3 to be installed. It appears to be a stable solution, I've tested it on both Mepis 8.0 and Mepis 8.5 RC2 (8.4.99) successfully.

If anyone is interested here are some simple instructions to test it yourself. I wonder if it would be possible for Mepis 8.5 to make additions to the repositories to include the ability to install the more stable current version?

gPodder 2.3 install instructions for Mepis 8.5 RC3 and presumably 8.5 Final

Download these debian packages

Download Page for python-central_0.6.14+nmu2_all.deb
http://packages.debian.org/zh-tw/sid...ntral/download

Download Page for python-mygpoclient_1.0-1_all.deb
http://packages.debian.org/squeeze/a...lient/download

Download Page for gpodder_2.3-1_all.deb
http://packages.debian.org/squeeze/all/gpodder/download

open konsole
$su
password (enter root password)
#dpkg -i (drag and drop) gpodder_2.3-1_all.deb
#dpkg -i (drag and drop) python-mygpoclient_1.0-1_all.deb
#dpkg -i (drag and drop) python-central_0.6.14+nmu2_all.deb
#apt-get -f install (do for any package that has unmet dependancies

gPodder 2.3 install instructions for Mepis 8

Download these debian packages

Download Page for python-central_0.6.14+nmu2_all.deb
http://packages.debian.org/zh-tw/sid...ntral/download

Download Page for python-mygpoclient_1.0-1_all.deb
http://packages.debian.org/squeeze/a...lient/download

Download Page for python-support_1.0.7_all.deb
http://packages.debian.org/sid/all/p...pport/download

Download Page for gpodder_2.3-1_all.deb
http://packages.debian.org/squeeze/all/gpodder/download

open konsole
$su
password (enter root password)
#dpkg -i (drag and drop) gpodder_2.3-1_all.deb
#dpkg -i (drag and drop) python-mygpoclient_1.0-1_all.deb
#dpkg -i (drag and drop) python-support_1.0.7_all.deb
#dpkg -i (drag and drop) python-central_0.6.14+nmu2_all.deb
#apt-get -f install (do for any package that has unmet dependancies)

Last edited by Lee733; 03-20-2010 at 11:48 PM. Reason: Updated instructions
 
Old 03-17-2010, 10:40 AM   #2
jmcg
LQ Newbie
 
Registered: Jan 2009
Posts: 8

Rep: Reputation: 2
Quote:
I wonder if it would be possible for Mepis 8.5 to make additions to the repositories to include the ability to install the more stable current version?
Once the Mepis community forums are back up (they are currently being moved to a new server), you can ask for the latest version of gpodder to added to the community's own repository (separate from the official set).

The forums came back up this afternoon and can be found at http://www.mepislovers.org/

Last edited by jmcg; 03-17-2010 at 04:07 PM. Reason: add url for forums
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
MEPIS 7 minor bug report newbiesforever MEPIS 0 01-21-2008 04:32 PM
gpodder in Suse kyleinc Suse/Novell 0 09-09-2006 06:15 PM
gPodder on Suse 10? russh Suse/Novell 2 06-01-2006 09:18 AM
Solution for too big HDD bug (windows) Co3 Linux - General 2 01-15-2006 04:08 AM
The solution for the Mandrake 9.1 on Inspiron 500m's Bug Report linusware Linux - Laptop and Netbook 1 08-03-2003 06:57 AM


All times are GMT -5. The time now is 10:10 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration